# Class DatabricksSSLException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.sql.SQLException
com.databricks.jdbc.exception.DatabricksSQLException
com.databricks.jdbc.exception.DatabricksSSLException

All Implemented Interfaces:
  `Serializable`, `Iterable<Throwable>`

public class DatabricksSSLException extends DatabricksSQLException
Exception class to handle SSL/TLS configuration and handshake errors.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`DatabricksSSLException(String message, DatabricksDriverErrorCode internalCode)`
`DatabricksSSLException(String message, String sqlState)`
`DatabricksSSLException(String message, Throwable cause, DatabricksDriverErrorCode sqlCode)`
`DatabricksSSLException(String message, Throwable throwable, String sqlState)`

## Method Summary

### Methods inherited from class java.sql.SQLException

`getErrorCode, getNextException, getSQLState, iterator, setNextException`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Constructor Details

### DatabricksSSLException

public DatabricksSSLException(String message, Throwable cause, DatabricksDriverErrorCode sqlCode)

### DatabricksSSLException

public DatabricksSSLException(String message, DatabricksDriverErrorCode internalCode)

### DatabricksSSLException

public DatabricksSSLException(String message, String sqlState)

### DatabricksSSLException

public DatabricksSSLException(String message, Throwable throwable, String sqlState)